org.gradle.ide.visualstudio.plugins

## Class VisualStudioPlugin.Rules

- java.lang.Object
- - org.gradle.ide.visualstudio.plugins.VisualStudioPlugin.Rules

- Enclosing class:
    VisualStudioPlugin

      public static class VisualStudioPlugin.Rules
      extends Object

  Model rules.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VisualStudioPlugin.Rules()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `createTasksForVisualStudio(TaskContainer tasks, org.gradle.ide.visualstudio.internal.VisualStudioExtensionInternal visualStudioExtension)`
    `static void` | `createVisualStudioModelForBinaries(org.gradle.ide.visualstudio.internal.VisualStudioExtensionInternal visualStudioExtension, BinaryContainer binaryContainer)`
    `static void` | `includeBuildFileInProject(org.gradle.ide.visualstudio.internal.VisualStudioExtensionInternal visualStudio, org.gradle.api.internal.project.ProjectIdentifier projectIdentifier)`
    `static org.gradle.ide.visualstudio.internal.VisualStudioExtensionInternal` | `visualStudio(org.gradle.internal.service.ServiceRegistry serviceRegistry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VisualStudioPlugin.Rules

          public VisualStudioPlugin.Rules()

  - ### Method Detail

    - #### visualStudio

          public static org.gradle.ide.visualstudio.internal.VisualStudioExtensionInternal visualStudio(org.gradle.internal.service.ServiceRegistry serviceRegistry)

    - #### includeBuildFileInProject

          public static void includeBuildFileInProject(org.gradle.ide.visualstudio.internal.VisualStudioExtensionInternal visualStudio,
                                       org.gradle.api.internal.project.ProjectIdentifier projectIdentifier)

    - #### createVisualStudioModelForBinaries

          public static void createVisualStudioModelForBinaries(org.gradle.ide.visualstudio.internal.VisualStudioExtensionInternal visualStudioExtension,
                                                BinaryContainer binaryContainer)

    - #### createTasksForVisualStudio

          public static void createTasksForVisualStudio(TaskContainer tasks,
                                        org.gradle.ide.visualstudio.internal.VisualStudioExtensionInternal visualStudioExtension)